﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HLWebOKBQueryPlugin.Helpers {
    public interface IParams {
        int Seed { get; set; }
        bool SetSeedRandomly { get; set; }
        int PopulationSize { get; set; }
        string Selector { get; set; }
        bool Selector_CopySelected { get; set; }
        int Selector_NumberOfSelectedSubScopes { get; set; }
        bool Selector_Windowing { get; set; }
        string Crossover { get; set; }
        double MutationProbability { get; set; }
        string Mutator { get; set; }
        int Elites { get; set; }
        string Analyzer { get; set; }
        int Analyzer_UpdateInterval { get; set; }
        string Analyzer_1 { get; set; }
        bool Analyzer_1_StoreHistory { get; set; }
        int Analyzer_1_UpdateInterval { get; set; }
        string Analyzer_2 { get; set; }
        bool Analyzer_2_StoreHistory { get; set; }
        int Analyzer_2_UpdateInterval { get; set; }
        string Analyzer_0 { get; set; }
        string Analyzer_3 { get; set; }
        int MaximumGenerations { get; set; }
        string AlgorithmName { get; set; }
        string AlgorithmType { get; set; }
        bool Maximization { get; set; }
        string Coordinates { get; set; }
        string DistanceMatrix { get; set; }
        bool UseDistanceMatrix { get; set; }
        string SolutionCreator { get; set; }
        int SolutionCreator_Length { get; set; }
        string SolutionCreator_PermutationType { get; set; }
        string Evaluator { get; set; }
        double BestKnownQuality { get; set; }
        string BestKnownSolution { get; set; }
        string ProblemName { get; set; }
        string ProblemType { get; set; }
    }
}
